<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>1.5.6.RELEASE</version>
		<relativePath/>
	</parent>

	<modelVersion>4.0.0</modelVersion>
	<groupId>eu.dnetlib</groupId>
	<artifactId>dnet-ariadneplus-publisher</artifactId>
	<packaging>jar</packaging>
	<version>3.0.0-SNAPSHOT</version>
	<scm>
		<developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet50/modules/dnet-ariadneplus-publisher/trunk</developerConnection>
		<url>https://github.com/spring-projects/spring-boot/spring-boot-starter-parent/dnet-ariadneplus-publisher</url>
	</scm>
	<ciManagement>
		<system>jenkins</system>
		<url>https://jenkins-dnet.d4science.org/view/DNet50/job/DSL50_dnet-ariadneplus-publisher/</url>
	</ciManagement>
	<distributionManagement>
		<repository>
			<id>dnet5-releases</id>
			<name>D-Net 5 Releases</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet5-releases</url>
			<layout>default</layout>
		</repository>
	</distributionManagement>

	<!-- Inherit defaults from Spring Boot -->

	<repositories>
		<repository>
			<id>dnet-deps</id>
			<name>dnet-dependencies</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet-deps</url>
			<layout>default</layout>
		</repository>
		<repository>
			<id>dnet5-releases</id>
			<name>D-Net 5 Releases</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet5-releases</url>
			<layout>default</layout>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>dnet5-snapshots</id>
			<name>D-Net 5 Snapshots</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet5-snapshots</url>
			<layout>default</layout>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
		<!--
		<repository>
			<id>gcube-snapshots</id>
			<name>gCube Snapshots</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>gcube-releases</id>
			<name>gCube Releases</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-releases</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
		<repository>
			<id>gcube-externals</id>
			<name>gCube Externals</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-externals</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
		-->
	</repositories>

	<dependencies>
		<dependency>
			<groupId>net.sf.saxon</groupId>
			<artifactId>Saxon-HE</artifactId>
			<version>9.5.1-5</version>
		</dependency>
		<dependency>
			<groupId>virtuoso</groupId>
			<artifactId>jena-driver</artifactId>
			<version>3.0</version>
		</dependency>
		<dependency>
			<groupId>openlink</groupId>
			<artifactId>virtuoso-jdbc</artifactId>
			<version>4.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.jena</groupId>
			<artifactId>apache-jena</artifactId>
			<version>[3.3.0,4.0.0)</version>
			<type>pom</type>
			<exclusions>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-log4j12</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-autoconfigure</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.solr</groupId>
			<artifactId>solr-solrj</artifactId>
			<version>[5.0.0,6.0.0)</version>
		</dependency>
		<!--
		<dependency>
			<groupId>org.gcube.information-system</groupId>
			<artifactId>ariadneplus-entities</artifactId>
			<version>1.0.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.information-system</groupId>
			<artifactId>resource-registry-publisher</artifactId>
			<version>[2.0.0-SNAPSHOT, 2.1.0-SNAPSHOT)</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.information-system</groupId>
			<artifactId>resource-registry-client</artifactId>
			<version>[2.0.0-SNAPSHOT, 2.1.0-SNAPSHOT)</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>authorization-client</artifactId>
			<version>LATEST</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.information-system</groupId>
			<artifactId>resource-registry-api</artifactId>
			<version>[2.0.0-SNAPSHOT, 2.1.0-SNAPSHOT)</version>
		</dependency>
-->

		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
			<version>23.3-jre</version>
		</dependency>
		<dependency>
			<groupId>org.freemarker</groupId>
			<artifactId>freemarker</artifactId>
			<version>2.3.27-incubating</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<executable>true</executable>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<properties>
		<java.version>1.8</java.version>
		<maven.javadoc.failOnError>false</maven.javadoc.failOnError>
	</properties>

	<profiles>
		<profile>
			<id>java8-doclint-disabled</id>
			<activation>
				<jdk>[1.8,)</jdk>
			</activation>
			<properties>
				<javadoc.opts>-Xdoclint:none</javadoc.opts>
			</properties>
		</profile>
	</profiles>
</project>